## DataONE Portal

- **License**: [Apache 2](http://opensource.org/licenses/Apache-2.0)
- [Package source code on GitHub](https://github.com/DataONEorg/d1_portal)
- [**Submit Bugs and feature requests**](https://github.com/DataONEorg/d1_portal/issues)
- Contact us: support@dataone.org
- [DataONE discussions](https://github.com/DataONEorg/dataone/discussions)

DataONE Portal is DataONE’s identity management service. This 
package is a core component of the [DataONE federation](https://dataone.org), and supports
large-scale object storage for a variety of repositories, including the
[KNB Data Repository](http://knb.ecoinformatics.org), the
[NSF Arctic Data Center](https://arcticdata.io/catalog/),
the [DataONE search service](https://search.dataone.org), and other repositories.

DataONE in general, and DataONE Portal in particular, are open source, community projects.  We
[welcome contributions](https://github.com/DataONEorg/d1_portal/blob/main/CONTRIBUTING.md) in many
forms, including code, graphics, documentation, bug reports, testing, etc.  Use the
[DataONE discussions](https://github.com/DataONEorg/dataone/discussions) to discuss these
contributions with us.


## Documentation

Documentation can be found on the [Identity Management and Authenticated Session
Management](https://dataoneorg.github.io/api-documentation/design/Authentication.html?highlight=d1_portal)
page of the [DataONE
architecture and API documentation](https://dataoneorg.github.io/api-documentation/index.html#).


## Development build

DataONE Portal is a Java package, and built using the [Maven](https://maven.apache.org/) build tool.

To install `d1_portal` locally, install Java and Maven on your local machine,
and then install or build the package with `mvn install` or `mvn package`, respectively.

## License

```txt
Copyright [2023] [Regents of the University of California]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

## Acknowledgements

Work on this package was supported by:

- DataONE Network
- Arctic Data Center: NSF-PLR grant #2042102 to M. B. Jones,  A. Budden, M. Schildhauer, and  J. Dozier

Additional support was provided for collaboration by the National Center for Ecological Analysis and
Synthesis, a Center funded by the University of California, Santa Barbara, and the State of
California.

[![DataONE_footer](https://user-images.githubusercontent.com/6643222/162324180-b5cf0f5f-ae7a-4ca6-87c3-9733a2590634.png)](https://dataone.org)

[![nceas_footer](https://www.nceas.ucsb.edu/sites/default/files/2020-03/NCEAS-full%20logo-4C.png)](https://www.nceas.ucsb.edu)
